Bug 208635

Summary: [WPE] AsyncScrolling: scrolling with the mouse wheel over sub-scrollable areas scrolls the main frame
Product: WebKit Reporter: Carlos Garcia Campos <cgarcia>
Component: WPE WebKitAssignee: Zan Dobersek <zan>
Status: RESOLVED FIXED    
Severity: Normal CC: bugs-noreply, commit-queue, simon.fraser, zan
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=208085
Attachments:
Description Flags
Patch none

Description Carlos Garcia Campos 2020-03-05 05:00:19 PST
For some reason this only works for list boxes, but doesn't work for other elements like text areas or iframes. It also happens in GTK port when AC mode is forced (async scrolling is used).
Comment 1 Carlos Garcia Campos 2020-03-05 06:04:26 PST
Could it be that this regressed in r257268? Simon, is this the expected behavior with current trunk? ScrollingTree::scrollingNodeForPoint() always returns the root node.
Comment 2 Simon Fraser (smfr) 2020-03-05 12:54:05 PST
Was Nicosia/Coordinated Graphics relying on that geometry? It was very broken in many cases, so shipping anything that used it was a mistake.

I'll be adding new code that fixes this for macOS; Nicosia/Coordinated Graphics should follow what I'm doing.
Comment 3 Zan Dobersek 2020-03-08 23:47:23 PDT
(In reply to Simon Fraser (smfr) from comment #2)
> Was Nicosia/Coordinated Graphics relying on that geometry? It was very
> broken in many cases, so shipping anything that used it was a mistake.
> 
> I'll be adding new code that fixes this for macOS; Nicosia/Coordinated
> Graphics should follow what I'm doing.

The implementation was implicitly relying on it, but nothing shipped with it.

We'll disable async overflow scrolling for now, and follow what macOS will be doing.
Comment 4 Zan Dobersek 2020-03-08 23:52:37 PDT
Created attachment 393012 [details]
Patch
Comment 5 Zan Dobersek 2020-03-09 06:08:07 PDT
Comment on attachment 393012 [details]
Patch

Clearing flags on attachment: 393012

Committed r258134: <https://trac.webkit.org/changeset/258134>
Comment 6 Zan Dobersek 2020-03-09 06:08:12 PDT
All reviewed patches have been landed.  Closing bug.